Method: tasks.get

Gets the latest state of a task.

HTTP request

GET https://ces.googleapis.com/tasks/{id}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
id

string

Required. The resource ID of the task to retrieve.

Query parameters

Parameters
tenant

string

Optional. Tenant ID, provided as a path parameter.

historyLength

integer

The maximum number of most recent messages from the task's history to retrieve. An unset value means the client does not impose any limit. A value of zero is a request to not include any messages. The server MUST NOT return more messages than the provided value, but MAY apply a lower limit.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Task.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

For more information, see the Authentication Overview.